from efs.common.exceptions import EfsError

class ServerError(EfsError):
	pass

class ExistingGroupError(ServerError):
	pass

class ExistingUserError(ServerError):
	pass

class GroupMembershipError(ServerError):
	pass

class InvalidCredentialsError(ServerError):
	pass

class InvalidUserError(ServerError):
	pass

class InvalidGroupError(ServerError):
	pass

class PermissionDeniedError(ServerError):
	pass



